Package Details: ajenti-git 1.2.22.202.gbdab2be-1

Git Clone URL: https://aur.archlinux.org/ajenti-git.git (read-only)
Package Base: ajenti-git
Description: An easy server administration frontend.
Upstream URL: http://github.com/ajenti/ajenti/
Keywords: admin manage panel server
Licenses: LGPL
Submitter: None
Maintainer: Abzie
Last Packager: Abzie
Votes: 11
Popularity: 0.005570
First Submitted: 2010-09-27 20:49
Last Updated: 2016-03-24 09:14

Dependencies (16)

Required by (0)

Sources (1)

Latest Comments

Abzie commented on 2017-08-15 20:14

@francoism90 I've not tried v2 recently, but can be installed with:

sudo pip install ajenti-panel ajenti.plugin.dashboard ajenti.plugin.settings ajenti.plugin.plugins ajenti.plugin.filemanager ajenti.plugin.notepad ajenti.plugin.packages ajenti.plugin.services ajenti.plugin.terminal

If you want to update the PKGBUILD for v2 I will disown for you to take over. This still follows the default branch v1, master branch is v2.

francoism90 commented on 2017-08-15 19:51

How well does V2 work? Almost 7 months ago since last update.. thanks. :)

Abzie commented on 2017-01-11 10:48

@codemonkey800 This Ajenti package is for v1 and is currently using the latest HEAD from git (1.2.23.8 as of this comment).

Please note that v2 is horribly basic at this stage (2 plugins) and that is why I have not updated the PKGBUILD, and I suggest you create a seperate v2 package if your needs require it.

kstep commented on 2016-03-24 06:42

As I have no more interest in maintaining this package any more, I orphaned it. If you want to handle it, you are welcome!

kstep commented on 2014-05-28 15:21

I added python2-dbus to optional dependencies, as it's not strictly required for Ajenti to work, it's needed for service management plugin to work only.

lots0logs commented on 2014-05-28 13:15

Hi,

Please add python2-dbus to the depends.

Thanks!

kstep commented on 2014-04-04 18:31

python2-ldap is now optional dependency. If you don't use Active Directory or LDAP authorization, you can safely remove it after package upgrade.

kstep commented on 2014-04-02 07:40

I will push here fresh build with many bugfixes when I get back to home. The current branch will be master again.

d3x commented on 2014-01-03 22:05

warning: no files found matching 'COPYRIGHT'
warning: no files found matching 'LICENSE'
no previously-included directories found matching 'ajenti/plugins/elements'
no previously-included directories found matching 'ajenti/plugins/ltfs'
no previously-included directories found matching 'ajenti/plugins/vh'
no previously-included directories found matching 'ajenti/plugins/test*'
no previously-included directories found matching 'ajenti/plugins/custom'
writing manifest file 'ajenti.egg-info/SOURCES.txt'
Copying ajenti.egg-info to /var/abs/local/yaourtbuild/ajenti-git/pkg/ajenti-git/
running install_scripts
creating /var/abs/local/yaourtbuild/ajenti-git/pkg/ajenti-git/usr/bin
copying build/scripts-2.7/ajenti-panel -> /var/abs/local/yaourtbuild/ajenti-git/
copying build/scripts-2.7/ajenti-ipc -> /var/abs/local/yaourtbuild/ajenti-git/pk
copying build/scripts-2.7/ajenti-ssl-gen -> /var/abs/local/yaourtbuild/ajenti-gi
changing mode of /var/abs/local/yaourtbuild/ajenti-git/pkg/ajenti-git/usr/bin/aj
changing mode of /var/abs/local/yaourtbuild/ajenti-git/pkg/ajenti-git/usr/bin/aj
changing mode of /var/abs/local/yaourtbuild/ajenti-git/pkg/ajenti-git/usr/bin/aj
install: cannot stat âpackaging/files/ajenti.archâ: No such file or directory
==> ERROR: A failure occurred in package().
Aborting...
==> ERROR: Makepkg was unable to build ajenti-git.
==> Restart building ajenti-git ? [y/N]
==> -----------------------------------
==>

Anonymous comment on 2012-10-02 21:46

switched to 'dev' branch

Shanto commented on 2011-06-25 04:09

The "master" branch is really out of date and out of shape. We could have better experience with the "dev" branch or one of the tags like 0.5-7. For that to work, however, this PKGBUILD has to be fixed to match the re-factorings in later branches.

jschmoe commented on 2011-05-25 12:50

You should add 'python2-pyopenssl' and 'python2-psycopg2' to list of dependencies.
And use 'python2' in /usr/bin/ajenti.

Anonymous comment on 2010-09-27 21:12

This is alpha version